<?php  
	require_once 'header.php';
	require_once 'equipamento/function.php';
	require_once 'equipamento/modal.php';
	require_once 'equipamento/script.php';
	$pagina = 'equipamento.php';
?>
<style>
	textarea{text-align: left;}
</style>
<body>
	<?php require_once 'navbar.php'; ?>
	<br>
	<div class="container-fluid">
		<div class="row">
			<div class="col-sm-4">
				<h2>Equipamentos</h2>
			</div>
			<div class="col-sm-2 text-center btn-group">
				<button class="btn btn-primary btn-sm"
					data-toggle="modal"
					data-target="#cadastrar_tipo"
					title="cadastrar tipo equipamento">
					<i class="bi bi-plus"></i> Tipo
				</button>
				<button class="btn btn-info btn-sm"
					data-toggle="modal"
					data-target="#editar_tipo"
					title="editar tipo equipamento">
					<i class="bi bi-pencil"></i> Tipo
				</button>
				<button class="btn btn-danger btn-sm"
					data-toggle="modal"
					data-target="#excluir_tipo"
					title="excluir tipo equipamento">
					<i class="bi bi-trash3"></i> Tipo
				</button>
			</div>
			<div class="col-sm-2 text-center btn-group">
				<button class="btn btn-primary btn-sm"
					data-toggle="modal"
					data-target="#cadastrar_modelo">
					<i class="bi bi-plus"></i> Modelo
				</button>
				<button class="btn btn-info btn-sm"
					data-toggle="modal"
					data-target="#editar_modelo">
					<i class="bi bi-pencil"></i> Modelo
				</button>
				<button class="btn btn-danger btn-sm"
					data-toggle="modal"
					data-target="#excluir_modelo">
					<i class="bi bi-trash3"></i> Modelo
				</button>
			</div>
			<div class="col-sm-2 text-center btn-group">
				<button class="btn btn-primary btn-sm"
					data-toggle="modal"
					data-target="#cadastrar_local">
					<i class="bi bi-plus"></i> Local
				</button>
				<button class="btn btn-info btn-sm"
					data-toggle="modal"
					data-target="#editar_local">
					<i class="bi bi-pencil"></i> Local
				</button>
				<button class="btn btn-danger btn-sm"
					data-toggle="modal"
					data-target="#excluir_local">
					<i class="bi bi-trash3"></i> Local
				</button>
			</div>
			<div class="col-sm-2 text-center btn-group">
				<button class="btn btn-warning text-white btn-block"
					data-toggle="modal"
					data-target="#cadastrar_equipamento">
					+ Equipamento
				</button>
			</div>
		</div>
		<br>
		<div class="row">
			<div class="col-sm-12">
				<div class="table-responsive">
					<table class="table table-hover">
						<thead>
							<tr>
								<th class="text-center">ID</th>
								<th>Descrição</th>
								<th class="text_center">Tipo</th>
								<th class="text-center">Modelo</th>
								<th class="text-center">Nº Série</th>
								<th class="text-center">Nº Patrimonio</th>
								<th class="text-center">Local</th>
								<th></th>
							</tr>
						</thead>
						<tbody>
							<?php  
								$listar = ListarEquipamento();
								while($l = $listar->fetch_array()){
							?>
									<tr>
										<td class="text-center">
											<?php echo $l['cd_equipamento']; ?>
										</td>
										<td>
											<?php echo $l['ds_equipamento']; ?>
										</td>
										<td>
											<?php echo $l['nm_tipo_equipamento']; ?>
										</td>
										<td class="text-center">
											<?php echo $l['nm_modelo']; ?>
										</td>
										<td class="text-center">
											<?php echo $l['nr_serie']; ?>
										</td>
										<td class="text-center">
											<?php echo $l['nr_patrimonio']; ?>
										</td>
										<td class="text-center">
											<?php echo $l['nm_local']; ?>
										</td>
										<td class="text-center">
											<button class="btn btn-info btn-sm editarEquipamento"
												data-toggle="modal"
												data-target="#editar_equipamento"
												cd="<?php echo $l['cd_equipamento']; ?>"
												descricao="<?php echo $l['ds_equipamento']; ?>"
												tipo="<?php echo $l['id_tipo_equipamento']; ?>"
												modelo="<?php echo $l['id_modelo']; ?>"
												serie="<?php echo $l['nr_serie']; ?>"
												patrimonio="<?php echo $l['nr_patrimonio']; ?>"
												local="<?php echo $l['id_local']; ?>"
												title="editar">
												<i class="bi bi-pencil"></i>
											</button>
											<button class="btn btn-danger btn-sm excluirEquipamento"
												data-toggle="modal"
												data-target="#excluir_equipamento"
												cd="<?php echo $l['cd_equipamento']; ?>"
												title="excluir">
												<i class="bi bi-trash3"></i>
											</button>
										</td>
									</tr>
							<?php  
								}
							?>
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</div>
<?php  
	if(!empty($_POST)){
		if($_POST['action_tipo'] == "Cadastrar"){
			CadastrarTipoEquipamento(
				$_POST['tipo'],
				$pagina
			);
		}
		else if($_POST['action_tipo'] == "Alterar"){
			EditarTipoEquipamento(
				$_POST['cd'],
				$_POST['tipo'],
				$pagina
			);
		}
		else if($_POST['action_tipo'] == "Excluir"){
			ExcluirTipoEquipamento(
				$_POST['cd'],
				$pagina
			);
		}
		else if($_POST['action_modelo'] == "Cadastrar"){
			CadastrarModeloEquipamento(
				$_POST['modelo'],
				$pagina
			);
		}
		else if($_POST['action_modelo'] == "Alterar"){
			EditarModeloEquipamento(
				$_POST['cd'],
				$_POST['modelo'],
				$pagina
			);
		}
		else if($_POST['action_modelo'] == "Excluir"){
			ExcluirModelo(
				$_POST['cd'],
				$pagina
			);
		}
		else if($_POST['action_equipamento'] == "Cadastrar"){
			if($_POST['modeloEquipamento'] == ""){
				$modelo = 'null';
			}
			else{
				$modelo = $_POST['modeloEquipamento'];
			}
			CadastrarEquipamento(
				$_POST['tipoEquipamento'],
				$modelo,
				$_POST['localEquipamento'],
				$_POST['serie'],
				$_POST['patrimonio'],
				$_POST['descricao'],
				$pagina
			);
		}
		else if($_POST['action_equipamento'] == "Alterar"){
			if($_POST['modeloEquipamento'] == ""){
				$modelo = 'null';
			}
			else{
				$modelo = $_POST['modeloEquipamento'];
			}
			EditarEquipamento(
				$_POST['cd'],
				$_POST['tipoEquipamento'],
				$_POST['modeloEquipamento'],
				$_POST['localEquipamento'],
				$_POST['serie'],
				$_POST['patrimonio'],
				$_POST['descricao'],
				$pagina
			);
		}
		else if($_POST['action_equipamento'] == "Excluir"){
			ExcluirEquipamento(
				$_POST['cd'],
				$pagina
			);
		}
		else if($_POST['action_local'] == "Cadastrar"){
			CadastrarLocal(
				$_POST['ambiente'],
				$pagina
			);
		}
		else if($_POST['action_local'] == "Alterar"){
			EditarLocal(
				$_POST['cd'],
				$_POST['ambiente'],
				$pagina
			);
		}
		else if($_POST['action_local'] == "Excluir"){
			ExcluirLocal(
				$_POST['cd'],
				$pagina
			);
		}
	}
?>
</body>