<!-- cadastrar tipo equipamento -->
<div class="modal fade" id="cadastrar_tipo" data-backdrop="static">
	<div class="modal-dialog modal-md">
		<div class="modal-content">
			<form method="post" class="form-group">
				<div class="modal-header">
					Cadastrar Tipo de Equipamento
				</div>
				<div class="modal-body">
					<input 
						type="text"
						class="form-control"
						placeholder="Tipo de Equipamento"
						name="tipo"
						required>
				</div>
				<div class="modal-footer">
					<button 
						class="btn btn-secondary" 
						data-dismiss="modal">
						Fechar
					</button>
					<input 
						type="submit"
						class="btn btn-primary"
						value="Cadastrar"
						name="action_tipo">
				</div>
			</form>
		</div>
	</div>
</div>

<!-- editar tipo equipamento -->
<div class="modal fade" id="editar_tipo" data-backdrop="static">
	<div class="modal-dialog modal-md">
		<div class="modal-content">
			<form method="post" class="form-group">
				<div class="modal-header">
					Editar Tipo de Equipamento
				</div>
				<div class="modal-body">
					<div class="table-responsive">
						<table class="table table-hover">
							<?php  
								$exibir = ListarTipoEquipamento();
								while($e = $exibir->fetch_array()){
							?>
									<tr>
										<td class="text-capitalize">
											<?php echo $e['nm_tipo_equipamento']; ?>
										</td>
										<td class="text-right">
											<button class="btn btn-info btn-sm editarTipo"
												data-toggle="modal"
												data-target="#editarTipo"
												data-dismiss="modal"
												cd="<?php echo $e['cd_tipo_equipamento']; ?>"
												tipo="<?php echo $e['nm_tipo_equipamento']; ?>">
												<i class="bi bi-pencil"></i>
											</button>
										</td>
									</tr>
							<?php  
								}
							?>
						</table>
					</div>
				</div>
				<div class="modal-footer">
					<button 
						class="btn btn-secondary" 
						data-dismiss="modal">
						Fechar
					</button>
				</div>
			</form>
		</div>
	</div>
</div>

<div class="modal fade" id="editarTipo" data-backdrop="static">
	<div class="modal-dialog modal-md">
		<div class="modal-content">
			<form method="post" class="form-group">
				<div class="modal-header">
					Editar Tipo de Equipamento
				</div>
				<div class="modal-body">
					<input type="text" name="cd" id="cd">
					<input 
						type="text" 
						name="tipo" 
						id="tipo" 
						class="form-control" 
						required>
				</div>
				<div class="modal-footer">
					<button 
						class="btn btn-secondary" 
						data-dismiss="modal">
						Fechar
					</button>
					<input 
						type="submit"
						class="btn btn-info"
						value="Alterar"
						name="action_tipo">
				</div>
			</form>
		</div>
	</div>
</div>

<!-- excluir tipo equipamento -->
<div class="modal fade" id="excluir_tipo">
	<div class="modal-dialog modal-md">
		<div class="modal-content">

				<div class="modal-header">
					Excluir Tipo de Equipamento
				</div>
				<div class="modal-body">
					<div class="table-responsive">
						<table class="table table-hover">
							<?php  
								$exibir = ListarTipoEquipamento();
								while($e = $exibir->fetch_array()){
							?>
									<tr>
										<td class="text-capitalize">
											<?php echo $e['nm_tipo_equipamento']; ?>
										</td>
										<td class="text-right">
											<button class="btn btn-danger btn-sm excluirTipo"
												data-toggle="modal"
												data-target="#excluirTipo"
												data-dismiss="modal"
												cd="<?php echo $e['cd_tipo_equipamento']; ?>">
												<i class="bi bi-trash3"></i>
											</button>
										</td>
									</tr>
							<?php  
								}
							?>
						</table>
					</div>
				</div>
				<div class="modal-footer">
					<button 
						class="btn btn-secondary" 
						data-dismiss="modal">
						Fechar
					</button>
				</div>

		</div>
	</div>
</div>

<!-- excluir tipo equipamento -->
<div class="modal fade" id="excluirTipo" >
	<div class="modal-dialog modal-md">
		<div class="modal-content">
			<form method="post" class="form-group">
				<div class="modal-header">
					Excluir Equipamento
				</div>
				<div class="modal-body">
					<input type="text" name="cd" id="cd">
					<h3 class="text-danger">
						Deseja realmente excluir este registro?
					</h3>
				</div>
				<div class="modal-footer">
					<button 
						class="btn btn-secondary" 
						data-dismiss="modal">
						Fechar
					</button>
					<input 
						type="submit"
						class="btn btn-danger"
						value="Excluir"
						name="action_tipo">
				</div>
			</form>
		</div>
	</div>
</div>


<!------------------------- fim modal tipo equipamento --------------->
<!------------------------- modal modelo equipamento --------------->
<div class="modal fade" id="cadastrar_modelo" data-backdrop="static">
	<div class="modal-dialog modal-md">
		<div class="modal-content">
			<form method="post" class="form-group">
				<div class="modal-header">
					Cadastrar Modelo de Equipamento
				</div>
				<div class="modal-body">
					<input 
						type="text"
						class="form-control"
						placeholder="Modelo de Equipamento"
						name="modelo"
						required>
				</div>
				<div class="modal-footer">
					<button 
						class="btn btn-secondary" 
						data-dismiss="modal">
						Fechar
					</button>
					<input 
						type="submit"
						class="btn btn-primary"
						value="Cadastrar"
						name="action_modelo">
				</div>
			</form>
		</div>
	</div>
</div>

<!-- editar modelo equipamento -->
<div class="modal fade" id="editar_modelo" data-backdrop="static">
	<div class="modal-dialog modal-md">
		<div class="modal-content">
			<form method="post" class="form-group">
				<div class="modal-header">
					Editar Modelo de Equipamento
				</div>
				<div class="modal-body">
					<div class="table-responsive">
						<table class="table table-hover">
							<?php  
								$exibir = ListarModeloEquipamento();
								while($e = $exibir->fetch_array()){
							?>
									<tr>
										<td class="text-capitalize">
											<?php echo $e['nm_modelo']; ?>
										</td>
										<td class="text-right">
											<button class="btn btn-info btn-sm editarModelo"
												data-toggle="modal"
												data-target="#editarModelo"
												data-dismiss="modal"
												cd="<?php echo $e['cd_modelo']; ?>"
												modelo="<?php echo $e['nm_modelo']; ?>">
												<i class="bi bi-pencil"></i>
											</button>
										</td>
									</tr>
							<?php  
								}
							?>
						</table>
					</div>
				</div>
				<div class="modal-footer">
					<button 
						class="btn btn-secondary" 
						data-dismiss="modal">
						Fechar
					</button>
				</div>
			</form>
		</div>
	</div>
</div>

<div class="modal fade" id="editarModelo" data-backdrop="static">
	<div class="modal-dialog modal-md">
		<div class="modal-content">
			<form method="post" class="form-group">
				<div class="modal-header">
					Editar Modelo de Equipamento
				</div>
				<div class="modal-body">
					<input type="text" name="cd" id="cd">
					<input 
						type="text" 
						name="modelo" 
						id="modelo" 
						class="form-control" 
						required>
				</div>
				<div class="modal-footer">
					<button 
						class="btn btn-secondary" 
						data-dismiss="modal">
						Fechar
					</button>
					<input 
						type="submit"
						class="btn btn-info"
						value="Alterar"
						name="action_modelo">
				</div>
			</form>
		</div>
	</div>
</div>

<!-- excluir modelo equipamento -->
<div class="modal fade" id="excluir_modelo">
	<div class="modal-dialog modal-md">
		<div class="modal-content">

				<div class="modal-header">
					Excluir Modelo de Equipamento
				</div>
				<div class="modal-body">
					<div class="table-responsive">
						<table class="table table-hover">
							<?php  
								$exibir = ListarModeloEquipamento();
								while($e = $exibir->fetch_array()){
							?>
									<tr>
										<td class="text-capitalize">
											<?php echo $e['nm_modelo']; ?>
										</td>
										<td class="text-right">
											<button class="btn btn-danger btn-sm excluirModelo"
												data-toggle="modal"
												data-target="#excluirModelo"
												data-dismiss="modal"
												cd="<?php echo $e['cd_modelo']; ?>">
												<i class="bi bi-trash3"></i>
											</button>
										</td>
									</tr>
							<?php  
								}
							?>
						</table>
					</div>
				</div>
				<div class="modal-footer">
					<button 
						class="btn btn-secondary" 
						data-dismiss="modal">
						Fechar
					</button>
				</div>

		</div>
	</div>
</div>

<!-- excluir tipo equipamento -->
<div class="modal fade" id="excluirModelo" >
	<div class="modal-dialog modal-md">
		<div class="modal-content">
			<form method="post" class="form-group">
				<div class="modal-header">
					Excluir Modelo
				</div>
				<div class="modal-body">
					<input type="text" name="cd" id="cd">
					<h3 class="text-danger">
						Deseja realmente excluir este registro?
					</h3>
				</div>
				<div class="modal-footer">
					<button 
						class="btn btn-secondary" 
						data-dismiss="modal">
						Fechar
					</button>
					<input 
						type="submit"
						class="btn btn-danger"
						value="Excluir"
						name="action_modelo">
				</div>
			</form>
		</div>
	</div>
</div>

<!------------------------- fim modal modelo equipamento --------------->

<!------------------------- modal equipamento --------------->

<div class="modal fade" id="cadastrar_equipamento" data-backdrop="static">
	<div class="modal-dialog modal-md">
		<div class="modal-content">
			<form method="post" class="form-group">
				<div class="modal-header">
					Cadastrar Equipamento
				</div>
				<div class="modal-body">
					<select name="tipoEquipamento" class="form-control">
						<option disabled selected>Selecione o tipo...</option>
						<?php  
							$mostrar = ListarTipoEquipamento();
							while($m = $mostrar->fetch_array()){
								print'
									<option value="'.$m['cd_tipo_equipamento'].'">
									'.$m['nm_tipo_equipamento'].'
									</option>
								';
							}
						?>
					</select>
					<br>
					<select name="modeloEquipamento" class="form-control">
						<option disabled selected>Selecione o modelo...</option>
						<?php  
							$mostrar = ListarModeloEquipamento();
							while($m = $mostrar->fetch_array()){
								print'
									<option value="'.$m['cd_modelo'].'">
									'.$m['nm_modelo'].'
									</option>
								';
							}
						?>
					</select>
					<br>
					<select name="localEquipamento" class="form-control">
						<option disabled selected>Selecione o local...</option>
						<?php  
							$mostrar = ListarLocal();
							while($m = $mostrar->fetch_array()){
								print'
									<option value="'.$m['cd_local'].'">
									'.$m['nm_local'].'
									</option>
								';
							}
						?>
					</select>
					<br>
					<input 
						type="text"
						class="form-control"
						placeholder="Nº série Equipamento"
						name="serie"
						required>
						<br>
					<input 
						type="text"
						class="form-control"
						placeholder="Nº patrimônio Equipamento"
						name="patrimonio"
						required>
					<br>
					<textarea class="form-control" placeholder="Descrição Equipamento" name="descricao" rows="5" required></textarea>			
				</div>
				<div class="modal-footer">
					<button 
						class="btn btn-secondary" 
						data-dismiss="modal">
						Fechar
					</button>
					<input 
						type="submit"
						class="btn btn-primary"
						value="Cadastrar"
						name="action_equipamento">
				</div>
			</form>
		</div>
	</div>
</div>

<div class="modal fade" id="editar_equipamento" data-backdrop="static">
	<div class="modal-dialog modal-md">
		<div class="modal-content">
			<form method="post" class="form-group">
				<div class="modal-header">
					Editar Equipamento
				</div>
				<div class="modal-body">
					<input type="text" name="cd" id="cd" readonly="readonly">
					<select name="tipoEquipamento" id="tipo" class="form-control">
						<option disabled selected>Selecione o tipo...</option>
						<?php  
							$mostrar = ListarTipoEquipamento();
							while($m = $mostrar->fetch_array()){
								print'
									<option value="'.$m['cd_tipo_equipamento'].'">
									'.$m['nm_tipo_equipamento'].'
									</option>
								';
							}
						?>
					</select>
					<br>
					<select name="modeloEquipamento" id="modelo" class="form-control">
						<option disabled selected>Selecione o modelo...</option>
						<?php  
							$mostrar = ListarModeloEquipamento();
							while($m = $mostrar->fetch_array()){
								print'
									<option value="'.$m['cd_modelo'].'">
									'.$m['nm_modelo'].'
									</option>
								';
							}
						?>
					</select>
					<br>
					<select name="localEquipamento" id="local" class="form-control">
						<option disabled selected>Selecione o local...</option>
						<?php  
							$mostrar = ListarLocal();
							while($m = $mostrar->fetch_array()){
								print'
									<option value="'.$m['cd_local'].'">
									'.$m['nm_local'].'
									</option>
								';
							}
						?>
					</select>
					<br>
					<input 
						type="text"
						class="form-control"
						placeholder="Nº série Equipamento"
						name="serie"
						id="serie" 
						required>
						<br>
					<input 
						type="text"
						class="form-control"
						placeholder="Nº patrimônio Equipamento"
						name="patrimonio"
						id="patrimonio" 
						required>
					<br>
					<textarea
						class="form-control"
						placeholder="Descrição Equipamento"
						name="descricao"
						id="descricao"
						rows="5"
						required>
					</textarea>
				</div>
				<div class="modal-footer">
					<button 
						class="btn btn-secondary" 
						data-dismiss="modal">
						Fechar
					</button>
					<input 
						type="submit"
						class="btn btn-info"
						value="Alterar"
						name="action_equipamento">
				</div>
			</form>
		</div>
	</div>
</div>

<!-- excluir tipo equipamento -->
<div class="modal fade" id="excluir_equipamento" data-backdrop="static">
	<div class="modal-dialog modal-md">
		<div class="modal-content">
			<form method="post" class="form-group">
				<div class="modal-header">
					Excluir Equipamento
				</div>
				<div class="modal-body">
					<input type="text" name="cd" id="cd">
					<h3 class="text-danger">
						Deseja realmente excluir este registro?
					</h3>
				</div>
				<div class="modal-footer">
					<button 
						class="btn btn-secondary" 
						data-dismiss="modal">
						Fechar
					</button>
					<input 
						type="submit"
						class="btn btn-danger"
						value="Excluir"
						name="action_equipamento">
				</div>
			</form>
		</div>
	</div>
</div>
<!------------------------- fim modal equipamento --------------->
<!------------------------- modal local --------------->
<!-- cadastrar local equipamento -->
<div class="modal fade" id="cadastrar_local" data-backdrop="static">
	<div class="modal-dialog modal-md">
		<div class="modal-content">
			<form method="post" class="form-group">
				<div class="modal-header">
					Cadastrar Ambiente
				</div>
				<div class="modal-body">
					<input 
						type="text"
						class="form-control"
						placeholder="Ambiente"
						name="ambiente"
						required>
				</div>
				<div class="modal-footer">
					<button 
						class="btn btn-secondary" 
						data-dismiss="modal">
						Fechar
					</button>
					<input 
						type="submit"
						class="btn btn-primary"
						value="Cadastrar"
						name="action_ambiente">
				</div>
			</form>
		</div>
	</div>
</div>
